using Back.Services;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using Shared.DTOs;

namespace Back.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class BaseController : ControllerBase
    {
        private readonly ServBase _sBase;
        public BaseController(ServBase sBase)
        {
            _sBase = sBase;
        }
        [HttpGet("BasePrice")]
        public async Task<ActionResult<List<BasePriceDto>>> GetBasePrice()
        => Ok(await _sBase.GetBasePrice());
        
    }
}
